package fzj.matse.tictactoe;

import android.os.Bundle;
import android.view.View;
import android.app.Activity;


public class PlayingFieldScreen extends Activity {
	private PlayingField field;
	private int score;
	private ComputerPlayer computer;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_playingfield_screen);
		TicTacToeView view = this.findViewById(R.id.spielfeld_view);

		field = new PlayingField(view);
		view.setData(field);
		view.addSelectionListener( (x,y) -> selected(x,y) ); // UserSelectionListener interface

		computer = new ComputerPlayer(field, 2);
	}

	private void selected(int x, int y) {
		if (field.macheZug(1, x, y) && !field.hatGewonnen()) 
		{
			computer.nextTurn();
		}

		System.out.println("usersel" +x+" "+y);
	}

}
