package fzj.matse.tictactoe;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.widget.*;
import android.content.Intent;

public class StartScreen extends AppCompatActivity {
    PlayingFieldScreen start; // nur fuers UML
    HighscoreScreen highscore;
    HelpScreen help;
    
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_start_screen);
        Button start = this.findViewById(R.id.start);
        start.setOnClickListener( e -> startGame() );
        Button highscore = this.findViewById(R.id.score);
        highscore.setOnClickListener( e-> showHighscore() );
    }

    private void startGame() {
    	Intent intent = new Intent(this, PlayingFieldScreen.class);
    	startActivity(intent);
   	
    }
   
    private void showHighscore() {
    	Intent intent = new Intent(this, HighscoreScreen.class);
    	startActivity(intent);	
    }
    
    private void showHelp() {
        // todo
    }

}
