package fzj.matse.tictactoe;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.Scanner;
import android.app.Activity;

/*
 Output wird im LogCat angezeigt.
 Ggf. Filter einstellen, um nur Meldungen von matse.tictactoe zu sehen 
 */
import android.util.Log;

public class Highscore {
	private static final String TAG = "TicTacToe Highscore";
	private final String fileName = "spielstand.txt";
	private int idx;
	private Activity parent;

	public Highscore(Activity act) {
		parent = act;
	}
	
	public boolean isHighscore(int score) {return false;}
    public void insertHighscore(int score, String name) {}
	
	public void loadData() {
		// Ansehen unter Eclipse mit dem Android File Explorer 
		// (Window → Open Perspective → Other → DDMS)
		// Datei liegt unter /data/data/package/files/dateiname
		try { // Lesen
			FileInputStream fin = parent.openFileInput(fileName);
			Log.i(TAG, "file already exist:");
			Scanner in = new Scanner(fin);
			while (in.hasNextLine()) {
				idx = in.nextInt();
				String str = in.nextLine();
				Log.i(TAG, "i= "+idx+" "+str);
			}
		} catch (IOException e) {
			Log.i(TAG, e.getMessage());
			//e.printStackTrace();
		}
	}
	
	/**
	 * Schreibt Daten auf Datei
	 */
	public void writeData() {

		try { // Schreiben
			Log.i(TAG, "create File");
			FileOutputStream out = parent.openFileOutput(fileName, Activity.MODE_PRIVATE);
			String inhalt = ++idx + " "+"Testeintrag\n";
			out.write(inhalt.getBytes());
			out.close();
		} catch (IOException e) {
			Log.i(TAG, e.getMessage());
			//e.printStackTrace();
		}
	}
}
